The OpenIGTLink Library
=======================

The OpenIGTLink Library is a C/C++ implementation of
[The OpenIGTLink Protocol](Documents/Protocol/index.md).

OpenIGTLink is an open-source network communication interface specifically
designed for image-guided interventions. It aims to provide a plug-and-play
unified real-time communications (URTC) in operating rooms (ORs) for image-guided
interventions, where imagers, sensors, surgical robots,and computers from
different vendors work cooperatively. This URTC will ensure the seamless data
flow among those components and enable a closed-loop process of planning, control,
delivery, and feedback. The specification of OpenIGTLink is open, and can be
used without any license fee; hence OpenIGTLink is suitable for both industrial
and academic developers.

The latest information of the protocol is available at [OpenIGTLink Web Page](http://openigtlink.org/).
The definition of the protocol used in the current version (one in this git repository)
can be found in [Protocol Documentation](Documents/Protocol/index.md)

Build Status
------------

* Linux/Mac: [![Build Status](https://travis-ci.org/openigtlink/OpenIGTLink.svg?branch=master)](https://travis-ci.org/openigtlink/OpenIGTLink)
* Windows: [![Build status](https://ci.appveyor.com/api/projects/status/beo8cej2nxu55ex0?svg=true)](https://ci.appveyor.com/project/openigtlink/openigtlink)

Build Instruction
-----------------

Please see [BUILD Instruction](BUILD.md).

How to Contribute?
------------------

If you find any issues or have feature request, please feel free to post
to [Issues](https://github.com/openigtlink/OpenIGTLink/issues).

The OpenIGTLink community is adapted to the collaborative development model on GitHub.
[GitHub's instruction"](https://help.github.com/articles/about-collaborative-development-models/)
provides a nice overview of collaborative development models and workflows.

License
-------
The code is distributed as open source under The 3-Clause BSD License. Please refer to the license terms
available at [Open Source Initiative Page](https://opensource.org/licenses/BSD-3-Clause) or
[LICENSE.txt](LICENSE.txt) included in the source repository.
